=== debian/changelog ===
cdogs-sdl (0.6.8-1mx15+1) mx; urgency=medium

  * Repackaged for MX 15 & 16.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 07 Nov 2018 16:49:19 -0800

cdogs-sdl (0.6.8-1mx17+1) mx; urgency=medium

  * New upstream release repackaged for MX 17.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 07 Nov 2018 16:41:23 -0800

cdogs-sdl (0.6.5-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 23 Apr 2017 13:28:43 +0200

cdogs-sdl (0.6.4-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sat, 04 Mar 2017 17:09:36 +0100

cdogs-sdl (0.6.3-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Mon, 14 Nov 2016 18:52:42 +0100

cdogs-sdl (0.6.2-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sat, 23 Jul 2016 19:52:59 +0200

cdogs-sdl (0.6.1-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 24 May 2016 19:24:21 +0200

cdogs-sdl (0.6.0-1~getdeb2) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 08 Mar 2016 20:07:19 +0100

cdogs-sdl (0.5.8-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 15 Apr 2015 20:13:53 +0200

cdogs-sdl (0.5.7-1~getdeb2) trusty; urgency=medium

  * Fix debian/watch file

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 04 Jan 2015 23:41:48 +0100

cdogs-sdl (0.5.7-1~getdeb1) trusty; urgency=low

  * Initial release (LP: #1406880)

 -- Christoph Korn <christoph.korn@getdeb.net>  Sat, 03 Jan 2015 01:09:37 +0100
