## cdogs-sdl 0.6.9

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -30,6 +30,7 @@
 	password.c
 	player_select_menus.c
 	prep.c
+	prep_equip.c
 	screens_end.c
 	weapon_menu.c
 	XGetopt.c)
@@ -48,6 +49,7 @@
 	password.h
 	player_select_menus.h
 	prep.h
+	prep_equip.h
 	screens_end.h
 	weapon_menu.h
 	XGetopt.h)
