=== debian/changelog ===
cdogs-sdl (0.6.9-1mx17+1) mx; urgency=medium

  * New upstream release.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 17 Feb 2019 05:14:05 -0800
