=== debian/control ===
Source: cdogs-sdl
Section: games
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Christoph Korn <christoph.korn@getdeb.net>
Build-Depends: debhelper (>= 10),
               cmake,
               libsdl2-dev,
               libsdl2-image-dev,
               libjsoncpp-dev,
               libreadline6-dev,
               libphysfs-dev,
               libsdl2-mixer-dev,
               libenet-dev
Standards-Version: 3.9.7
Homepage: http://cxong.github.io/cdogs-sdl/

Package: cdogs-sdl
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         cdogs-sdl-data (= ${source:Version})
Description: Open source, classic overhead run-and-gun game
 C-Dogs SDL is a classic overhead run-and-gun game,
 supporting up to 4 players in co-op and deathmatch modes.
 Customize your player, choose from up to 11 weapons, and
 try the dozens of user-created campaigns. Have fun!

Package: cdogs-sdl-data
Architecture: all
Depends: ${misc:Depends}
Description: Open source, classic overhead run-and-gun game (data package)
 C-Dogs SDL is a classic overhead run-and-gun game,
 supporting up to 4 players in co-op and deathmatch modes.
 Customize your player, choose from up to 11 weapons, and
 try the dozens of user-created campaigns. Have fun!
 .
 (This package contains the data files).
