## cdogs-sdl 0.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 SET(VERSION_MAJOR "0")
 SET(VERSION_MINOR "6")
-SET(VERSION_PATCH "8")
+SET(VERSION_PATCH "9")
 SET(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
 
 # Optionally configure appveyor.yml since it is excluded in source archives
