## cdogs-sdl 0.7-pre1

=== debian/changelog ===
cdogs-sdl (0.7-pre1-1mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.
  * Set build depends versions.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 21 Feb 2019 17:49:49 -0800
