## cdogs-sdl 0.7.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,11 +10,17 @@
 project(cdogs-sdl C)
 
 SET(VERSION_MAJOR "0")
-SET(VERSION_MINOR "6")
-SET(VERSION_PATCH "9")
+SET(VERSION_MINOR "7")
+SET(VERSION_PATCH "3")
 SET(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
 
-# Optionally configure appveyor.yml since it is excluded in source archives
+# Optionally configure CI files since they are excluded in source archives
+if(EXISTS ${CMAKE_SOURCE_DIR}/.travis.yml.cmake)
+	CONFIGURE_FILE(
+		${CMAKE_SOURCE_DIR}/.travis.yml.cmake
+		${CMAKE_SOURCE_DIR}/.travis.yml
+	)
+endif()
 if(EXISTS ${CMAKE_SOURCE_DIR}/appveyor.yml.cmake)
 	CONFIGURE_FILE(
 		${CMAKE_SOURCE_DIR}/appveyor.yml.cmake
@@ -105,7 +111,7 @@
 add_definitions(-DPB_FIELD_16BIT)	# Allow larger field numbers in nanopb
 include_directories(src/cdogs/proto/nanopb)
 if(MSVC)
-	ADD_DEFINITIONS(-W4 -WX -wd"4996" -wd"4204")
+	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -MP -W4 -WX -wd\"4996\" -wd\"4204\"")
 else()
 	add_definitions(
 		-fsigned-char
@@ -246,12 +252,12 @@
 	${CMAKE_SOURCE_DIR}/README.md
 	DESTINATION ${DATA_INSTALL_DIR})
 IF(UNIX AND NOT APPLE AND NOT BEOS AND NOT HAIKU)
-	INSTALL(FILES ${CMAKE_SOURCE_DIR}/build/linux/cdogs-sdl.desktop DESTINATION ${INSTALL_PREFIX}/share/applications)
-	INSTALL(FILES ${CMAKE_SOURCE_DIR}/build/linux/cdogs-sdl.appdata.xml DESTINATION ${INSTALL_PREFIX}/share/appdata)
+	INSTALL(FILES ${CMAKE_SOURCE_DIR}/build/linux/io.github.cxong.cdogs-sdl.desktop DESTINATION ${INSTALL_PREFIX}/share/applications)
+	INSTALL(FILES ${CMAKE_SOURCE_DIR}/build/linux/io.github.cxong.cdogs-sdl.appdata.xml DESTINATION ${INSTALL_PREFIX}/share/appdata)
 	foreach(RES 16 22 32 48 128)
 		INSTALL(FILES ${CMAKE_SOURCE_DIR}/build/linux/cdogs-icon.${RES}.png
 			DESTINATION ${INSTALL_PREFIX}/share/icons/hicolor/${RES}x${RES}/apps
-			RENAME cdogs-sdl.png)
+			RENAME io.github.cxong.cdogs-sdl.png)
 	endforeach(RES)
 elseif(WIN32)
 	# Package for Windows
