=== src/cdogs/CMakeLists.txt ===
--- 
+++ 
@@ -40,8 +40,8 @@
 	draw/draw.c
 	draw/draw_actor.c
 	draw/draw_buffer.c
-	draw/draw_highlight.c
 	draw/drawtools.c
+	draw/nine_slice.c
 	emitter.c
 	events.c
 	files.c
@@ -54,9 +54,11 @@
 	grafx_bg.c
 	handle_game_events.c
 	hud/fps.c
+	hud/gauge.c
 	hud/health_gauge.c
 	hud/hud.c
 	hud/hud_num_popup.c
+	hud/player_hud.c
 	hud/wall_clock.c
 	joystick.c
 	json_utils.c
@@ -74,6 +76,7 @@
 	mathc/mathc.c
 	mission.c
 	mission_convert.c
+	mission_static.c
 	mouse.c
 	music.c
 	net_client.c
@@ -105,6 +108,7 @@
 	weapon.c
 	weapon_class.c
 	window_context.c
+	XGetopt.c
 	yajl_utils.c)
 set(CDOGS_HEADERS
 	actor_fire.h
@@ -142,8 +146,8 @@
 	draw/draw.h
 	draw/draw_actor.h
 	draw/draw_buffer.h
-	draw/draw_highlight.h
 	draw/drawtools.h
+	draw/nine_slice.h
 	emitter.h
 	events.h
 	files.h
@@ -156,10 +160,12 @@
 	grafx_bg.h
 	handle_game_events.h
 	hud/fps.h
+	hud/gauge.h
 	hud/health_gauge.h
 	hud/hud.h
 	hud/hud_defs.h
 	hud/hud_num_popup.h
+	hud/player_hud.h
 	hud/wall_clock.h
 	joystick.h
 	json_utils.h
@@ -177,6 +183,7 @@
 	mathc/mathc.h
 	mission.h
 	mission_convert.h
+	mission_static.h
 	mouse.h
 	music.h
 	net_client.h
@@ -210,6 +217,7 @@
 	weapon.h
 	weapon_class.h
 	window_context.h
+	XGetopt.h
 	yajl_utils.h)
 set(NANOPB_SOURCES
 	proto/msg.pb.c
