=== debian/changelog ===
cdogs-sdl (0.7.3-1mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 27 Feb 2020 16:45:02 -0800

cdogs-sdl (0.7.3-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 27 Feb 2020 16:43:26 -0800
