=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
 XSBC-Original-Maintainer: Christoph Korn <christoph.korn@getdeb.net>
 Build-Depends: debhelper (>= 10),
-               cmake,
-               libsdl2-dev,
-               libsdl2-image-dev,
-               libjsoncpp-dev,
-               libreadline6-dev,
-               libphysfs-dev,
-               libsdl2-mixer-dev,
-               libenet-dev
+               cmake (>=3.0.2),
+               libsdl2-dev (>=2.0.4),
+               libsdl2-image-dev (>=2),
+               libjsoncpp-dev (>=0.6),
+               libreadline-dev (>=7.0) | libreadline6-dev (>=6.3),
+               libphysfs-dev (>=2.0),
+               libsdl2-mixer-dev (>=2.0),
+               libenet-dev (>=1.3.12)
 Standards-Version: 3.9.7
 Homepage: http://cxong.github.io/cdogs-sdl/
